title = "Satker"
url = "/satker/:slug/:page?"
layout = "default"
is_hidden = 0

[pagination]
recordsPerPage = 20
pageNumber = "{{ :page }}"
slug = "{{ :slug }}"
noRecordsMessage = "Buku masih kosong"
==
{% set records = pagination.records %}
{% set satker = pagination.record %}

{% put styles %}
<style>
    .title-satker {
        margin-bottom: 20px;
        margin-top: 20px;
    }

    .judul-buku {
        font-size: 14px;
    }

    .tanggal-buku {
        font-size: 11px;

    }

    .home-item ul {
        list-style-type: none;
        overflow: hidden;
        display: flex;
        align-items: center;
        justify-content: space-evenly;
    }

    .home-item ul>li {
        display: inline-block;
    }

    .jumlah {
        font-size: 10px;
    }

    .view span {
        display: block;
        margin-top: -5px;
        text-align: center;
    }

    .bg-book {
        background-color: #e0e0e0;
        padding: 20px 35px 5px 35px;
    }

    .item {
        text-align: center;
        border: 1px solid #bdbdbd;
        padding: 10px 10px 10px 10px;
        margin-top: 10px;
    }

</style>
{% endput %}

<nav class="blue-grey darken-1">
    <div class="nav-wrapper container">
        <div class="col s12">
            <a href="/" class="breadcrumb">Home</a>
            <a href="#!" class="breadcrumb">{{ satker.nama }}</a>
        </div>
    </div>
</nav>


<div class="container" style="margin-top: 20px;">
    <div class="row">
        {% if records.count() > 0 %}
        {% for record in records %}
        <div class="col s12 m3">
            <div class="item home-item">
                <img src="{{ record.cover.thumb(150, 150, 'crop') }}">
                <div class="judul-buku">{{ record.judul }}</div>
                <div class="tanggal-buku">{{ record.created_at }}</div>
                <ul>
                    <li>
                        <div class="view">
                            <i class="material-icons">visibility</i>
                            <span class="jumlah">{{ record.lihat }}</span>
                        </div>
                    </li>
                    <li>
                        <a href="#" onclick="clickFavorite(event, {{ record.id }})">
                            <div class="view">
                                <i class="material-icons">favorite</i><br />
                                <span class="jumlah">{{ record.favorite }}</span>
                            </div>
                        </a>
                    </li>
                    <li>
                        <a href="{{ 'buku' | page ( { slug: record.slug }  ) }}"
                            class="waves-effect waves-light btn">baca</a>
                    </li>
                </ul>

            </div>
        </div>
        {% endfor %}
        {% else %}
        <div class="col s12">
            Data buku masih kosong
        </div>
        {% endif %}
    </div>
    <div class="row center-align">
        <div class="col s12">
            {% if records.lastPage > 1 %}
            <ul class="pagination">
                {% if records.currentPage > 1 %}
                <li>
                    {% if kua %}
                    <a href="{{ this.page.baseFileName|page({ (pageParam): (records.currentPage-1) }) }}">&larr;
                        Prev</a>
                    {% else %}
                    <a href="{{ this.page.baseFileName|page({ (pageParam): (records.currentPage-1) }) }}">&larr;
                        Prev</a>
                    {% endif %}

                </li>
                {% endif %}

                {% for page in 1..records.lastPage %}
                <li class="{{ records.currentPage == page ? 'active' : null }}">
                    {% if kua %}
                    <a href="{{ this.page.baseFileName|page({ (pageParam): page }) }}">{{ page }}</a>
                    {% else %}
                    <a href="{{ this.page.baseFileName|page({ (pageParam): page }) }}">{{ page }}</a>
                    {% endif %}
                </li>
                {% endfor %}

                {% if records.lastPage > records.currentPage %}
                <li>
                    {% if kua %}
                    <a href="{{ this.page.baseFileName|page({ (pageParam): (records.currentPage+1) }) }}">Next
                        &rarr;</a>
                    {% else %}
                    <a href="{{ this.page.baseFileName|page({ (pageParam): (records.currentPage+1) }) }}">Next
                        &rarr;</a>
                    {% endif %}

                </li>
                {% endif %}
            </ul>
            {% endif %}
        </div>
    </div>

</div>
